FreeMat

- Main Page
- Related Pages

vtkGeoTreeNodeCache

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoTreeNodeCache keeps track of a linked list of vtkGeoTreeNodes, and has operations to move nodes to the front of the list and to delete data from the least used nodes. This is used to recover memory from nodes that store data that hasn't been used in a while.

To create an instance of class vtkGeoTreeNodeCache, simply invoke its constructor as follows

      obj = vtkGeoTreeNodeCache

# Methods

The class vtkGeoTreeNodeCache has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoTreeNodeCache class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoTreeNodeCache = obj.NewInstance ()`
- `vtkGeoTreeNodeCache = obj.SafeDownCast (vtkObject o)`
- `obj.SetCacheMaximumLimit (int )` - The size of the cache of geospatial nodes. When the size reaches this limit, the list of non-empty nodes will be shortened to CacheMinimumLimit.
- `int = obj.GetCacheMaximumLimit ()` - The size of the cache of geospatial nodes. When the size reaches this limit, the list of non-empty nodes will be shortened to CacheMinimumLimit.
- `obj.SetCacheMinimumLimit (int )` - The cache is reduced to this size when the maximum limit is reached.
- `int = obj.GetCacheMinimumLimit ()` - The cache is reduced to this size when the maximum limit is reached.
- `obj.SendToFront (vtkGeoTreeNode node)` - Send a node to the front of the list. Perform this whenever a node is accessed, so that the most recently accessed nodes' data are not deleted.
- `obj.RemoveNode (vtkGeoTreeNode node)` - Remove the node from the list.
- `int = obj.GetSize ()` - The current size of the list.